Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Devices

Notices

Reply
 
Thread Tools Search this Thread
Old 10-19-2019, 06:05 AM   #1
leelo12345
Junior Member
leelo12345 began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Dec 2012
Device: Bookeen Cybook Odyssey
Calibre 4.20 doesn't start after update - Linux Mint 17.3

Hi,

after updating to version 4.20 Calibre doesn't start anymore. Anyone here with the same problem and would like to share possible solutions with me?

Linux Mint, cinnamon 17.3 - 64 bit

Regards,

Karsten
leelo12345 is offline   Reply With Quote
Old 10-19-2019, 11:00 AM   #2
estebe
Junior Member
estebe began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Oct 2019
Device: kindle paperwhite
Hi, I have the same problem.

I'm using Ubuntu 18.04.

Now I have a partial solution, after install and uninstall several times...

if I click on Calibre nothing hapens, if I write calibre on the terminal nothing happens but...

if i type "sudo calibre" it works...!!!

How can i add sudo permisions to the calibre icon?

Thanks!
Esteban
estebe is offline   Reply With Quote
Old 10-19-2019, 11:40 AM   #3
theducks
Well trained by Cats
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 23,993
Karma: 27923385
Join Date: Aug 2009
Location: The Central Coast of California
Device: K4NT, Galaxy Tab A, Kobo Aura2
Quote:
Originally Posted by estebe View Post
Hi, I have the same problem.

I'm using Ubuntu 18.04.

Now I have a partial solution, after install and uninstall several times...

if I click on Calibre nothing hapens, if I write calibre on the terminal nothing happens but...

if i type "sudo calibre" it works...!!!

How can i add sudo permisions to the calibre icon?

Thanks!
Esteban
You don't really want to do that. sudo is all powerful and is intended to keep malicious stuff at bay.
It has been awhile (linux): set the 'x' permission on the icon ( chmod)
theducks is offline   Reply With Quote
Old 10-19-2019, 01:29 PM   #4
leelo12345
Junior Member
leelo12345 began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Dec 2012
Device: Bookeen Cybook Odyssey
start Calibre - shell

Hi,

when trying to start calibre in the shell it gives me the following informations:

Traceback (most recent call last):
File "site.py", line 75, in main
File "site-packages/calibre/__init__.py", line 23, in <module>
File "site-packages/calibre/startup.py", line 204, in <module>
File "site-packages/calibre/utils/icu.py", line 30, in <module>
RuntimeError: Failed to load icu with error: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /opt/calibre/lib/libicui18n.so.64)


What does that mean? ;-)
leelo12345 is offline   Reply With Quote
Old 10-19-2019, 01:41 PM   #5
NiLuJe
BLAM!
NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.NiLuJe ought to be getting tired of karma fortunes by now.
 
NiLuJe's Avatar
 
Posts: 9,382
Karma: 15000336
Join Date: Jun 2010
Location: Paris, France
Device: Kindle 2i, 3g, 4, 5w, (PW) & PW2; Kobo H2O & Forma
That your distro is really old .

(Specifically, it's shipping with an old version of GCC, which provides the C++ runtimes).

Someone familiar with Mint may be able to tell you if there's a way to coax a more up-to-date version without wreaking too much havoc...
NiLuJe is offline   Reply With Quote
Old 10-19-2019, 02:07 PM   #6
leelo12345
Junior Member
leelo12345 began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Dec 2012
Device: Bookeen Cybook Odyssey
Quote:
Originally Posted by NiLuJe View Post
That your distro is really old ..
That means it is better reverting to an older version of calibre? I am really sure that everything works fine with the version before 4.2. I will give it a try.
leelo12345 is offline   Reply With Quote
Old 10-19-2019, 02:17 PM   #7
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 35,458
Karma: 12734961
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
As is noted on the linux download page, you need GLIBC 2.18 or higher
and libstdc++.so.6.0.21 (from gcc 5.4.0) or higher to run calibre. This
is approximately three year old software. If your distro does not
provide it, then you should stick with calibre 3.48 until it does.

Instructions on how to downgrade calibre are on the Linux download page
https://calibre-ebook.com/download_linux
kovidgoyal is online now   Reply With Quote
Old 10-19-2019, 02:28 PM   #8
leelo12345
Junior Member
leelo12345 began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Dec 2012
Device: Bookeen Cybook Odyssey
Ok, problem ist solved. I reverted to the older version 3.48 as shown on the homepage of calibre.
https://calibre-ebook.com/download_linux

Everything worked fine with every version of calibre and it is working fine now. Thanks a lot for the help to everyone! ;-)

I saw too late that the master is answering... ;-) Thanks for your help Kovid and for this great piece of software I am using for years now without problems.

regards,

Karsten

Last edited by leelo12345; 10-19-2019 at 02:33 PM.
leelo12345 is offline   Reply With Quote
Reply

Tags
linux, mint, start, update

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre suddenly won't start up on Linux Mint BigGeoff Devices 6 04-26-2019 08:06 AM
Calibre 3.11 on Mint Linux 18.1 doesn't work Uncle_Steve Devices 8 11-06-2017 08:46 AM
Calibre-server doesn't update books list without stop/start service gonzalo.cao Calibre 2 07-12-2017 09:34 AM
Install/Update fails on Linux Mint 17.1 Zauberlehrling! Devices 2 02-16-2015 01:18 PM
Calibre on Linux Mint kjetil1001 Calibre 1 01-09-2015 04:46 PM


All times are GMT -4. The time now is 10:34 PM.


MobileRead.com is a privately owned, operated and funded community.